#ifndef CommDefines_H
#define CommDefines_H


// XBee API Common
#define XBEE_FRAME   0
#define XBEE_LEN0    1
#define XBEE_LEN1    2
#define XBEE_API     3

// Transmit Request Frame
#define TXR_FID      4
#define TXR_ADDR0    5
#define TXR_ADDR1    6
#define TXR_OPT      7
#define TXR_DATA     8

// Transmit Status Frame
#define TXS_FID      4
#define TXS_STATUS   5

// Receive Frame
#define RX_FRAME     0
#define RX_LEN0      1
#define RX_LEN1      2
#define RX_API       3
#define RX_ADDR0     4
#define RX_ADDR1     5
#define RX_RSSI      6
#define RX_OPT       7
#define RX_DATA      8

// Protocol Message Headers
#define HDR_RESET          0x04
#define HDR_TAG_OUT        0x02
#define HDR_TAG_DETECTED   0x07
#define HDR_STATUS         0x06
#define HDR_REQ_PAIR       0x03
#define HDR_PAIR_RESP      0x05
#define HDR_CTRL           0x01

#endif /* CommDefines_H */

