/****************************************************************************
 Module
     EventCheckers.h
 Description
     header file for the event checking functions
 Notes

 History
 When           Who     What/Why
 -------------- ---     --------
 08/06/13 14:37 jec      started coding
*****************************************************************************/

#ifndef EventCheckers_H
#define EventCheckers_H

// prototypes for event checkers

bool Check4Keystroke(void);
bool Check4XBeeRX(void);
bool Check4TxDisable(void);
bool Check4SPIFlag(void);
bool Check4SlaveSelectHigh(void);
bool Check4OverrunError(void);

// global variables
extern unsigned char SoftwareTXFlag;

#endif /* EventCheckers_H */
