/****************************************************************************
 
  Header file for template Flat Sate Machine 
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef PlayerProtocolFSM_H
#define PlayerProtocolFSM_H

// Event Definitions
#include "ES_Configure.h" /* gets us event definitions */
#include "ES_Types.h"     /* gets bool type for returns */

// typedefs for the states
// State definitions for use with the query function
typedef enum { InitProtocolState, WaitLink, 
               Paired } PlayerProtocolState_t ;


// Public Function Prototypes

bool InitPlayerProtocolFSM ( uint8_t Priority );
bool PostPlayerProtocolFSM( ES_Event ThisEvent );
ES_Event RunPlayerProtocolFSM( ES_Event ThisEvent );
PlayerProtocolState_t QueryPlayerProtocolFSM ( void );



#endif /* PlayerProtocol_H */

